#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	tremoDialogId ;
extern int	tremoOkBtnId ;
extern int	tremoOkchk() ;
extern int	tremoPlayBtnId ;
extern int	tremoPlay() ;
extern int	tremoUndoBtnId ;
extern int	tremoUndo() ;
extern int	tremoInfBtnId ;
extern int	tremoInf() ;
extern int	tremoCanBtnId ;
extern int	tremoCanchk() ;
extern int	tremoMesId[18] ;
extern int	tremoSubDialogId ;
extern int	tremoMainMixVolumeId ;
extern int	tremoMainMixSet() ;
extern int	tremoMainMixNumId ;
extern int	tremoTremoMixVolumeId ;
extern int	tremoTremoMixSet() ;
extern int	tremoTremoMixNumId ;
extern int	tremoSpeedNumId ;
extern int	tremoSpeedSet() ;
extern int	tremoSpeedVolumeId ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIOTTRE = { "MmiInit",  31, 0 } ;

/* tremoDialogId */

static MMIPACKET d001 = {	&tremoDialogId,
							NULL,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40,
							  76, 109, 565, 372, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* tremoOkBtnId */

static MMIPACKET d002 = {	&tremoOkBtnId,
							&tremoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d002d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							  96, 341, 157, 364,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							tremoOkchk,
							0x0000
						} ;

/* tremoPlayBtnId */

static MMIPACKET d003 = {	&tremoPlayBtnId,
							&tremoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 166, 341, 227, 364, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							tremoPlay,
							0x0000
						} ;

/* tremoUndoBtnId */

static MMIPACKET d004 = {	&tremoUndoBtnId,
							&tremoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d004d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 236, 341, 297, 364, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							tremoUndo,
							0x0000
						} ;

/* tremoInfBtnId */

static MMIPACKET d005 = {	&tremoInfBtnId,
							&tremoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d005d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 306, 341, 367, 364, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							tremoInf,
							0x0000
						} ;

/* tremoCanBtnId */

static MMIPACKET d006 = {	&tremoCanBtnId,
							&tremoDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d006d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 483, 341, 544, 364,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							tremoCanchk,
							0x0000
						} ;

/* tremoMesId[0] */

static MMIPACKET d007 = {	&tremoMesId[0],
							&tremoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d007d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 105, 344, 148, 361, 8,15, 8,
							MS_NONEL40,
							"  s",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[1] */

static MMIPACKET d008 = {	&tremoMesId[1],
							&tremoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 174, 344, 220, 361, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[2] */

static MMIPACKET d009 = {	&tremoMesId[2],
							&tremoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d009d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 242, 344, 293, 361, 8,15, 8,
							MS_NONEL40,
							"AhD",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[3] */

static MMIPACKET d010 = {	&tremoMesId[3],
							&tremoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d010d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 311, 344, 362, 361, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[4] */

static MMIPACKET d011 = {	&tremoMesId[4],
							&tremoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d011d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 491, 344, 537, 361, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[5] */

static MMIPACKET d012 = {	&tremoMesId[5],
							&tremoDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d012d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  98, 112, 170, 130, 8,15, 8,
							MS_NONEL40,
							"g",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* tremoSubDialogId */

static MMIPACKET d013 = {	&tremoSubDialogId,
							&tremoDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d013d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							  96, 132, 544, 334, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* tremoMainMixVolumeId */

static MMIPACKET d014 = {	&tremoMainMixVolumeId,
							&tremoSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d014d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 305, 172, 464, 187, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							tremoMainMixSet,
							  20,   0, 100,   8,   8,
							 265, 266
						} ;

/* tremoMainMixNumId */

static MMIPACKET d015 = {	&tremoMainMixNumId,
							&tremoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d015d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 471, 168, 526, 191, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							tremoMainMixSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  20,   0, 100,   1,   0,
							 263, 264
						} ;

/* tremoTremoMixVolumeId */

static MMIPACKET d016 = {	&tremoTremoMixVolumeId,
							&tremoSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d016d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 305, 207, 464, 222, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							tremoTremoMixSet,
							 100,   0, 100,   8,   8,
							 265, 266
						} ;

/* tremoTremoMixNumId */

static MMIPACKET d017 = {	&tremoTremoMixNumId,
							&tremoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d017d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 471, 203, 526, 226, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							tremoTremoMixSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 100,   0, 100,   1,   0,
							 263, 264
						} ;

/* tremoSpeedNumId */

static MMIPACKET d018 = {	&tremoSpeedNumId,
							&tremoSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d018d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 471, 291, 526, 314, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							tremoSpeedSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 150,   0, 500,   1,   1,
							 263, 264
						} ;

/* tremoMesId[6] */

static MMIPACKET d019 = {	&tremoMesId[6],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d019d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 326, 147, 443, 164, 0,15, 8,
							MS_NONEL40,
							"~LVO[g",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* tremoMesId[7] */

static MMIPACKET d020 = {	&tremoMesId[7],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d020d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 240, 173, 300, 188, 0,15, 8,
							MS_NONEL40,
							"IWi",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[8] */

static MMIPACKET d021 = {	&tremoMesId[8],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d021d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 237, 206, 299, 223, 0,15, 8,
							MS_NONEL40,
							"g",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[9] */

static MMIPACKET d022 = {	&tremoMesId[9],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d022d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 242, 245, 379, 261, 0,15, 8,
							MS_NONEL40,
							"ggiHzj",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* tremoSpeedVolumeId */

static MMIPACKET d023 = {	&tremoSpeedVolumeId,
							&tremoSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d023d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 117, 295, 464, 310, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							tremoSpeedSet,
							  75,   0, 250,   1,   8,
							 265, 266
						} ;

/* tremoMesId[10] */

static MMIPACKET d024 = {	&tremoMesId[10],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d024d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 139, 279, 361, 296, 0,15, 8,
							MS_NONEL40,
							"|    |    |    |    |    |    |    |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[11] */

static MMIPACKET d025 = {	&tremoMesId[11],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d025d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 229, 279, 451, 296, 0,15, 8,
							MS_NONEL40,
							"|    |    |    |    |    |    |    |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[12] */

static MMIPACKET d026 = {	&tremoMesId[12],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d026d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 128, 265, 158, 280, 0,15, 8,
							MS_NONEL40,
							"0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[13] */

static MMIPACKET d027 = {	&tremoMesId[13],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d027d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 186, 265, 216, 280, 0,15, 8,
							MS_NONEL40,
							"10",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[14] */

static MMIPACKET d028 = {	&tremoMesId[14],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d028d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 247, 265, 277, 280, 0,15, 8,
							MS_NONEL40,
							"20",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[15] */

static MMIPACKET d029 = {	&tremoMesId[15],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d029d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 307, 265, 337, 280, 0,15, 8,
							MS_NONEL40,
							"30",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[16] */

static MMIPACKET d030 = {	&tremoMesId[16],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d030d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 367, 265, 397, 280, 0,15, 8,
							MS_NONEL40,
							"40",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* tremoMesId[17] */

static MMIPACKET d031 = {	&tremoMesId[17],
							&tremoSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d031d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 427, 265, 457, 280, 0,15, 8,
							MS_NONEL40,
							"50",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

